MacDraft5ParserInternal::State Struct Reference

Internal: the state of a MacDraft5Parser. More...

## Public Member Functions

| State ()
| constructor

## Public Attributes

int | m_version
| the file version
bool | m_isLibrary
| flag to know if we read a library
MWAWVec2f | m_origin
| the origin of the picture
std::vector< std::shared_ptr< Layout > > | m_layoutList
| the layer list
std::vector< std::shared_ptr< Image > > | m_imageList
| the image list

## Detailed Description

Internal: the state of a MacDraft5Parser.

## Constructor & Destructor Documentation

## State()

MacDraft5ParserInternal::State::State | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_imageList

std::vector<std::shared_ptr<Image> > MacDraft5ParserInternal::State::m_imageList

the image list

Referenced by State().

## m_isLibrary

bool MacDraft5ParserInternal::State::m_isLibrary

flag to know if we read a library

Referenced by State().

## m_layoutList

std::vector<std::shared_ptr<Layout> > MacDraft5ParserInternal::State::m_layoutList

the layer list

Referenced by State().

## m_origin

MWAWVec2f MacDraft5ParserInternal::State::m_origin

the origin of the picture

Referenced by State().

## m_version

int MacDraft5ParserInternal::State::m_version

the file version

Referenced by State().

The documentation for this struct was generated from the following file:

- MacDraft5Parser.cxx